# AWS API client for Amazon Elastic Block Store

**Warning: This is a generated library, some operations may not work.**

*About the service:*
You can use the Amazon Elastic Block Store (EBS) direct APIs to directly
read the data on your EBS snapshots, and identify the difference between two
snapshots. You can view the details of blocks in an EBS snapshot, compare
the block difference between two snapshots, and directly access the data in
a snapshot. If you’re an independent software vendor (ISV) who offers backup
services for EBS, the EBS direct APIs make it easier and more cost-effective
to track incremental changes on your EBS volumes via EBS snapshots. This can
be done without having to create new volumes from EBS snapshots.

This API reference provides detailed information about the actions, data
types, parameters, and errors of the EBS direct APIs. For more information
about the elements that make up the EBS direct APIs, and examples of how to
use them effectively, see <a
href="https://docs.aws.amazon.com/AWSEC2/latest/UserGuide/ebs-accessing-snapshot.html">Accessing
the Contents of an EBS Snapshot</a> in the <i>Amazon Elastic Compute Cloud
User Guide</i>. For more information about the supported AWS Regions,
endpoints, and service quotas for the EBS direct APIs, see <a
href="https://docs.aws.amazon.com/general/latest/gr/ebs-service.html">Amazon
Elastic Block Store Endpoints and Quotas</a> in the <i>AWS General
Reference</i>.

## Links

- [Other AWS libraries](https://github.com/agilord/aws_client/tree/master/generated).
- [Issue tracker](https://github.com/agilord/aws_client/issues).
- [AWS API definitions](https://github.com/aws/aws-sdk-js/tree/master/apis).

## Contributors

- [Jonathan Böcker](https://github.com/Schwusch)
- [Istvan Soós](https://github.com/isoos)

